Bug 146887 - [EFL] some ax tests have been failed since r186692
Summary: [EFL] some ax tests have been failed since r186692
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit EFL (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Linux
: P2 Normal
Assignee: Gyuyoung Kim
URL:
Keywords:
Depends on: 148938
Blocks: 93353 146011
  Show dependency treegraph
 
Reported: 2015-07-11 23:35 PDT by Gyuyoung Kim
Modified: 2015-12-09 00:43 PST (History)
4 users (show)

See Also:


Attachments
Patch (37.42 KB, patch)
2015-12-08 06:38 PST, Gyuyoung Kim
no flags Details | Formatted Diff | Diff
Patch (3.72 KB, patch)
2015-12-08 06:52 PST, Joanmarie Diggs (irc: joanie)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gyuyoung Kim 2015-07-11 23:35:41 PDT
r186692 broke below test in EFL port. 

  accessibility/aria-roledescription.html [ Failure ]
  accessibility/aria-table-hierarchy.html [ Failure ]
  accessibility/aria-table-with-presentational-elements.html [ Failure ]
  accessibility/aria-tables.html [ Failure ]
  accessibility/list-detection.html [ Failure ]
  accessibility/poorly-formed-aria-table.html [ Failure ]
  accessibility/roles-exposed.html [ Failure ]
  accessibility/table-fallback-roles-expose-element-attributes.html [ Failure ]
  accessibility/table-with-footer-section-above-body.html [ Failure ]
  accessibility/table-with-missing-aria-role-rows.html [ Failure ]
Comment 1 Gyuyoung Kim 2015-12-08 06:01:05 PST
EFL port needs to do rebaseline based on r193746.

I think below tests need to have new baseline.

= Rebaseline = 
accessibility/table-attributes.html
accessibility/table-cell-spans.html
accessibility/table-cells.html
accessibility/table-detection.html
accessibility/table-sections.html
accessibility/table-with-rules.html

Need to do gardening.

= Passing test =
accessibility/aria-table-hierarchy.html
accessibility/roles-computedRoleString.html
accessibility/roles-exposed.html
Comment 2 Gyuyoung Kim 2015-12-08 06:38:47 PST
Created attachment 266882 [details]
Patch
Comment 3 Joanmarie Diggs (irc: joanie) 2015-12-08 06:52:21 PST
Created attachment 266884 [details]
Patch
Comment 4 WebKit Commit Bot 2015-12-08 08:03:09 PST
Comment on attachment 266884 [details]
Patch

Clearing flags on attachment: 266884

Committed r193750: <http://trac.webkit.org/changeset/193750>
Comment 5 WebKit Commit Bot 2015-12-08 08:03:12 PST
All reviewed patches have been landed.  Closing bug.